aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-08-02 07:10:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-08-02 07:10:48 +0000
commit5bd2a667569033a63fb404c679189fea3ce126fa (patch)
treec26d2e68e69187d4aec198920d84636591b5e69c /main
parent14813c8cd6a75d71a6ac41e9c1e6d0f062ec59ea (diff)
downloadaports-5bd2a667569033a63fb404c679189fea3ce126fa.tar.gz
aports-5bd2a667569033a63fb404c679189fea3ce126fa.tar.bz2
aports-5bd2a667569033a63fb404c679189fea3ce126fa.tar.xz
main/micro-tetris: new aport
Micro Tetris, based on 1989 IOCCC Obfuscated Tetris http://git.vmlinux.org/tetris.git/
Diffstat (limited to 'main')
-rw-r--r--main/micro-tetris/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/main/micro-tetris/APKBUILD b/main/micro-tetris/APKBUILD
new file mode 100644
index 0000000000..80fa5b69b4
--- /dev/null
+++ b/main/micro-tetris/APKBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Natanael Copa <ncopa@alpinepinux.org>
+pkgname=micro-tetris
+pkgver=1.2.0
+pkgrel=0
+pkgdesc="Micro Tetris, based on 1989 IOCCC Obfuscated Tetris"
+url="http://git.vmlinux.org/tetris.git/"
+license="ISC"
+depends=
+makedepends=
+install=
+subpackages=
+source="ftp://ftp.vmlinux.org/pub/People/jocke/micro-tetris/tetris-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/tetris-$pkgver
+prepare() {
+ cd "$_builddir"
+ sed -i -e "/install/s:bin/tetris:usr/bin/tetris:" Makefile
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="017942718be2760f1b060e63d6799fed tetris-1.2.0.tar.bz2"